FTXUI 6.1.9 C++ functional terminal UI.

Loading...
Searching...
No Matches
Namespaces | Functions
frame.cpp File Reference

Go to the source code of this file.

## Namespaces
namespace | ftxui
| The FTXUI ftxui:: namespace.

## Functions
Element | focus (Element child)
| Set the `child` to be the one focused among its siblings.
Element | select (Element child)
| Set the `child` to be the one focused among its siblings.
Element | frame (Element child)
| Allow an element to be displayed inside a 'virtual' area. It size can be larger than its container. In this case only a smaller portion is displayed. The view is scrollable to make the focused element visible.
Element | xframe (Element child)
| Same as `frame`, but only on the x-axis.
Element | yframe (Element child)
| Same as `frame`, but only on the y-axis.
Element | focusCursorBlock (Element child)
| Same as `focus`, but set the cursor shape to be a still block.
Element | focusCursorBlockBlinking (Element child)
| Same as `focus`, but set the cursor shape to be a blinking block.
Element | focusCursorBar (Element child)
| Same as `focus`, but set the cursor shape to be a still block.
Element | focusCursorBarBlinking (Element child)
| Same as `focus`, but set the cursor shape to be a blinking bar.
Element | focusCursorUnderline (Element child)
| Same as `focus`, but set the cursor shape to be a still underline.
Element | focusCursorUnderlineBlinking (Element child)
| Same as `focus`, but set the cursor shape to be a blinking underline.